Skip to navigation

Update Company Credit Status

Updates the credit settings for the Company specified by companyId. All fields are optional, but an empty request will result in unexpected behavior. If the Company credit feature is disabled, this request will fail. See B2B Edition Settings for more information.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
The unique numeric ID of the Company assigned by B2B Edition.

Request

This endpoint expects an object.
creditEnabledbooleanOptional
Indicates whether credit is enabled for the Company.
creditCurrencystringOptional

The 3-character currency code of the Company’s credit account.

availableCreditdoubleOptional
The amount of credit available to the Company.
limitPurchasesbooleanOptional
Indicates whether the Company users are allowed to make purchases using purchase orders when total price exceeds available credit.
creditHoldbooleanOptional

Indicates whether the Company account is on a credit hold. If true, this flag prevents all Company users from making purchases.

Response

SUCCESS
codeintegerOptionalDefaults to 200
Operation status code.
dataobjectOptional
metaobjectOptional